Viewing docs for Cloudflare v6.13.0
published on Wednesday, Jan 21, 2026 by Pulumi
published on Wednesday, Jan 21, 2026 by Pulumi
Viewing docs for Cloudflare v6.13.0
published on Wednesday, Jan 21, 2026 by Pulumi
published on Wednesday, Jan 21, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as cloudflare from "@pulumi/cloudflare";
const exampleZeroTrustAccessServiceTokens = cloudflare.getZeroTrustAccessServiceTokens({
accountId: "account_id",
zoneId: "zone_id",
name: "name",
search: "search",
});
import pulumi
import pulumi_cloudflare as cloudflare
example_zero_trust_access_service_tokens = cloudflare.get_zero_trust_access_service_tokens(account_id="account_id",
zone_id="zone_id",
name="name",
search="search")
package main
import (
"github.com/pulumi/pulumi-cloudflare/sdk/v6/go/cloudflare"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := cloudflare.LookupZeroTrustAccessServiceTokens(ctx, &cloudflare.LookupZeroTrustAccessServiceTokensArgs{
AccountId: pulumi.StringRef("account_id"),
ZoneId: pulumi.StringRef("zone_id"),
Name: pulumi.StringRef("name"),
Search: pulumi.StringRef("search"),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Cloudflare = Pulumi.Cloudflare;
return await Deployment.RunAsync(() =>
{
var exampleZeroTrustAccessServiceTokens = Cloudflare.GetZeroTrustAccessServiceTokens.Invoke(new()
{
AccountId = "account_id",
ZoneId = "zone_id",
Name = "name",
Search = "search",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.cloudflare.CloudflareFunctions;
import com.pulumi.cloudflare.inputs.GetZeroTrustAccessServiceTokensArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var exampleZeroTrustAccessServiceTokens = CloudflareFunctions.getZeroTrustAccessServiceTokens(GetZeroTrustAccessServiceTokensArgs.builder()
.accountId("account_id")
.zoneId("zone_id")
.name("name")
.search("search")
.build());
}
}
variables:
exampleZeroTrustAccessServiceTokens:
fn::invoke:
function: cloudflare:getZeroTrustAccessServiceTokens
arguments:
accountId: account_id
zoneId: zone_id
name: name
search: search
Using getZeroTrustAccessServiceTokens
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getZeroTrustAccessServiceTokens(args: GetZeroTrustAccessServiceTokensArgs, opts?: InvokeOptions): Promise<GetZeroTrustAccessServiceTokensResult>
function getZeroTrustAccessServiceTokensOutput(args: GetZeroTrustAccessServiceTokensOutputArgs, opts?: InvokeOptions): Output<GetZeroTrustAccessServiceTokensResult>def get_zero_trust_access_service_tokens(account_id: Optional[str] = None,
max_items: Optional[int] = None,
name: Optional[str] = None,
search: Optional[str] = None,
zone_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetZeroTrustAccessServiceTokensResult
def get_zero_trust_access_service_tokens_output(account_id: Optional[pulumi.Input[str]] = None,
max_items: Optional[pulumi.Input[int]] = None,
name: Optional[pulumi.Input[str]] = None,
search: Optional[pulumi.Input[str]] = None,
zone_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetZeroTrustAccessServiceTokensResult]func LookupZeroTrustAccessServiceTokens(ctx *Context, args *LookupZeroTrustAccessServiceTokensArgs, opts ...InvokeOption) (*LookupZeroTrustAccessServiceTokensResult, error)
func LookupZeroTrustAccessServiceTokensOutput(ctx *Context, args *LookupZeroTrustAccessServiceTokensOutputArgs, opts ...InvokeOption) LookupZeroTrustAccessServiceTokensResultOutput> Note: This function is named LookupZeroTrustAccessServiceTokens in the Go SDK.
public static class GetZeroTrustAccessServiceTokens
{
public static Task<GetZeroTrustAccessServiceTokensResult> InvokeAsync(GetZeroTrustAccessServiceTokensArgs args, InvokeOptions? opts = null)
public static Output<GetZeroTrustAccessServiceTokensResult> Invoke(GetZeroTrustAccessServiceTokensInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetZeroTrustAccessServiceTokensResult> getZeroTrustAccessServiceTokens(GetZeroTrustAccessServiceTokensArgs args, InvokeOptions options)
public static Output<GetZeroTrustAccessServiceTokensResult> getZeroTrustAccessServiceTokens(GetZeroTrustAccessServiceTokensArgs args, InvokeOptions options)
fn::invoke:
function: cloudflare:index/getZeroTrustAccessServiceTokens:getZeroTrustAccessServiceTokens
arguments:
# arguments dictionaryThe following arguments are supported:
- Account
Id string - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- Max
Items int - Max items to fetch, default: 1000
- Name string
- The name of the service token.
- Search string
- Search for service tokens by other listed query parameters.
- Zone
Id string - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
- Account
Id string - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- Max
Items int - Max items to fetch, default: 1000
- Name string
- The name of the service token.
- Search string
- Search for service tokens by other listed query parameters.
- Zone
Id string - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
- account
Id String - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- max
Items Integer - Max items to fetch, default: 1000
- name String
- The name of the service token.
- search String
- Search for service tokens by other listed query parameters.
- zone
Id String - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
- account
Id string - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- max
Items number - Max items to fetch, default: 1000
- name string
- The name of the service token.
- search string
- Search for service tokens by other listed query parameters.
- zone
Id string - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
- account_
id str - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- max_
items int - Max items to fetch, default: 1000
- name str
- The name of the service token.
- search str
- Search for service tokens by other listed query parameters.
- zone_
id str - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
- account
Id String - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- max
Items Number - Max items to fetch, default: 1000
- name String
- The name of the service token.
- search String
- Search for service tokens by other listed query parameters.
- zone
Id String - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
getZeroTrustAccessServiceTokens Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Results
List<Get
Zero Trust Access Service Tokens Result> - The items returned by the data source
- Account
Id string - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- Max
Items int - Max items to fetch, default: 1000
- Name string
- The name of the service token.
- Search string
- Search for service tokens by other listed query parameters.
- Zone
Id string - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
- Id string
- The provider-assigned unique ID for this managed resource.
- Results
[]Get
Zero Trust Access Service Tokens Result - The items returned by the data source
- Account
Id string - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- Max
Items int - Max items to fetch, default: 1000
- Name string
- The name of the service token.
- Search string
- Search for service tokens by other listed query parameters.
- Zone
Id string - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
- id String
- The provider-assigned unique ID for this managed resource.
- results
List<Get
Zero Trust Access Service Tokens Result> - The items returned by the data source
- account
Id String - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- max
Items Integer - Max items to fetch, default: 1000
- name String
- The name of the service token.
- search String
- Search for service tokens by other listed query parameters.
- zone
Id String - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
- id string
- The provider-assigned unique ID for this managed resource.
- results
Get
Zero Trust Access Service Tokens Result[] - The items returned by the data source
- account
Id string - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- max
Items number - Max items to fetch, default: 1000
- name string
- The name of the service token.
- search string
- Search for service tokens by other listed query parameters.
- zone
Id string - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
- id str
- The provider-assigned unique ID for this managed resource.
- results
Sequence[Get
Zero Trust Access Service Tokens Result] - The items returned by the data source
- account_
id str - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- max_
items int - Max items to fetch, default: 1000
- name str
- The name of the service token.
- search str
- Search for service tokens by other listed query parameters.
- zone_
id str - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
- id String
- The provider-assigned unique ID for this managed resource.
- results List<Property Map>
- The items returned by the data source
- account
Id String - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- max
Items Number - Max items to fetch, default: 1000
- name String
- The name of the service token.
- search String
- Search for service tokens by other listed query parameters.
- zone
Id String - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
Supporting Types
GetZeroTrustAccessServiceTokensResult
- Client
Id string - The Client ID for the service token. Access will check for this value in the
CF-Access-Client-IDrequest header. - Duration string
- The duration for how long the service token will be valid. Must be in the format
300msor2h45m. Valid time units are: ns, us (or µs), ms, s, m, h. The default is 1 year in hours (8760h). - Expires
At string - Id string
- The ID of the service token.
- Name string
- The name of the service token.
- Client
Id string - The Client ID for the service token. Access will check for this value in the
CF-Access-Client-IDrequest header. - Duration string
- The duration for how long the service token will be valid. Must be in the format
300msor2h45m. Valid time units are: ns, us (or µs), ms, s, m, h. The default is 1 year in hours (8760h). - Expires
At string - Id string
- The ID of the service token.
- Name string
- The name of the service token.
- client
Id String - The Client ID for the service token. Access will check for this value in the
CF-Access-Client-IDrequest header. - duration String
- The duration for how long the service token will be valid. Must be in the format
300msor2h45m. Valid time units are: ns, us (or µs), ms, s, m, h. The default is 1 year in hours (8760h). - expires
At String - id String
- The ID of the service token.
- name String
- The name of the service token.
- client
Id string - The Client ID for the service token. Access will check for this value in the
CF-Access-Client-IDrequest header. - duration string
- The duration for how long the service token will be valid. Must be in the format
300msor2h45m. Valid time units are: ns, us (or µs), ms, s, m, h. The default is 1 year in hours (8760h). - expires
At string - id string
- The ID of the service token.
- name string
- The name of the service token.
- client_
id str - The Client ID for the service token. Access will check for this value in the
CF-Access-Client-IDrequest header. - duration str
- The duration for how long the service token will be valid. Must be in the format
300msor2h45m. Valid time units are: ns, us (or µs), ms, s, m, h. The default is 1 year in hours (8760h). - expires_
at str - id str
- The ID of the service token.
- name str
- The name of the service token.
- client
Id String - The Client ID for the service token. Access will check for this value in the
CF-Access-Client-IDrequest header. - duration String
- The duration for how long the service token will be valid. Must be in the format
300msor2h45m. Valid time units are: ns, us (or µs), ms, s, m, h. The default is 1 year in hours (8760h). - expires
At String - id String
- The ID of the service token.
- name String
- The name of the service token.
Package Details
- Repository
- Cloudflare pulumi/pulumi-cloudflare
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
cloudflareTerraform Provider.
Viewing docs for Cloudflare v6.13.0
published on Wednesday, Jan 21, 2026 by Pulumi
published on Wednesday, Jan 21, 2026 by Pulumi
